Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
halide_device_interface_impl_t Struct Reference

`#include <device_interface.h>`

## Public Attributes
void(* | use_module )()
void(* | release_module )()
int(* | device_malloc )(void *user_context, struct halide_buffer_t *buf)
int(* | device_free )(void *user_context, struct halide_buffer_t *buf)
int(* | device_sync )(void *user_context, struct halide_buffer_t *buf)
int(* | device_release )(void *user_context)
int(* | copy_to_host )(void *user_context, struct halide_buffer_t *buf)
int(* | copy_to_device )(void *user_context, struct halide_buffer_t *buf)
int(* | device_and_host_malloc )(void *user_context, struct halide_buffer_t *buf)
int(* | device_and_host_free )(void *user_context, struct halide_buffer_t *buf)
int(* | buffer_copy )(void *user_context, struct halide_buffer_t *src, const struct halide_device_interface_t *dst_device_interface, struct halide_buffer_t *dst)
int(* | device_crop )(void *user_context, const struct halide_buffer_t *src, struct halide_buffer_t *dst)
int(* | device_slice )(void *user_context, const struct halide_buffer_t *src, int slice_dim, int slice_pos, struct halide_buffer_t *dst)
int(* | device_release_crop )(void *user_context, struct halide_buffer_t *buf)
int(* | wrap_native )(void *user_context, struct halide_buffer_t *buf, uint64_t handle)
int(* | detach_native )(void *user_context, struct halide_buffer_t *buf)

## Detailed Description

Definition at line 8 of file device_interface.h.

## Member Data Documentation

## ◆ use_module

void(* halide_device_interface_impl_t::use_module) ()

Definition at line 14 of file device_interface.h.

## ◆ release_module

void(* halide_device_interface_impl_t::release_module) ()

Definition at line 15 of file device_interface.h.

## ◆ device_malloc

int(* halide_device_interface_impl_t::device_malloc) (void *user_context, struct halide_buffer_t *buf)

Definition at line 16 of file device_interface.h.

## ◆ device_free

int(* halide_device_interface_impl_t::device_free) (void *user_context, struct halide_buffer_t *buf)

Definition at line 17 of file device_interface.h.

## ◆ device_sync

int(* halide_device_interface_impl_t::device_sync) (void *user_context, struct halide_buffer_t *buf)

Definition at line 18 of file device_interface.h.

## ◆ device_release

int(* halide_device_interface_impl_t::device_release) (void *user_context)

Definition at line 19 of file device_interface.h.

## ◆ copy_to_host

int(* halide_device_interface_impl_t::copy_to_host) (void *user_context, struct halide_buffer_t *buf)

Definition at line 20 of file device_interface.h.

## ◆ copy_to_device

int(* halide_device_interface_impl_t::copy_to_device) (void *user_context, struct halide_buffer_t *buf)

Definition at line 21 of file device_interface.h.

## ◆ device_and_host_malloc

int(* halide_device_interface_impl_t::device_and_host_malloc) (void *user_context, struct halide_buffer_t *buf)

Definition at line 22 of file device_interface.h.

## ◆ device_and_host_free

int(* halide_device_interface_impl_t::device_and_host_free) (void *user_context, struct halide_buffer_t *buf)

Definition at line 23 of file device_interface.h.

## ◆ buffer_copy

int(* halide_device_interface_impl_t::buffer_copy) (void *user_context, struct halide_buffer_t *src, const struct halide_device_interface_t *dst_device_interface, struct halide_buffer_t *dst)

Definition at line 24 of file device_interface.h.

## ◆ device_crop

int(* halide_device_interface_impl_t::device_crop) (void *user_context, const struct halide_buffer_t *src, struct halide_buffer_t *dst)

Definition at line 26 of file device_interface.h.

## ◆ device_slice

int(* halide_device_interface_impl_t::device_slice) (void *user_context, const struct halide_buffer_t *src, int slice_dim, int slice_pos, struct halide_buffer_t *dst)

Definition at line 29 of file device_interface.h.

## ◆ device_release_crop

int(* halide_device_interface_impl_t::device_release_crop) (void *user_context, struct halide_buffer_t *buf)

Definition at line 33 of file device_interface.h.

## ◆ wrap_native

int(* halide_device_interface_impl_t::wrap_native) (void *user_context, struct halide_buffer_t *buf, uint64_t handle)

Definition at line 35 of file device_interface.h.

## ◆ detach_native

int(* halide_device_interface_impl_t::detach_native) (void *user_context, struct halide_buffer_t *buf)

Definition at line 36 of file device_interface.h.

The documentation for this struct was generated from the following file:

- src/runtime/device_interface.h